{% extends 'base.html.twig' %}

{% block title %}Liste des demandes d'affiliation{% endblock %}

{% block body %}
    <div class="card">
        <div class="card-header">
            <h4 class="card-title">Liste des demandes d'affiliation</h4>
        </div>
        <div class="card-body">
            <table class="table">
                <thead>
                <tr>
                    <th>Nom complet</th>
                    <th>Raison sociale</th>
                    <th>Téléphone</th>
                    <th>E-mail</th>
                    <th>Date de création</th>
                    <th>Statut</th>
                    <th>Action</th>
                </tr>
                </thead>
                <tbody>
                {% for affiliation in affiliations %}
                    <tr>
                        <td>{{ affiliation.fullName }}</td>
                        <td>{{ affiliation.companyName }}</td>
                        <td>{{ affiliation.phone }}</td>
                        <td>{{ affiliation.email }}</td>
                        <td>{{ affiliation.createdAt|date('d/m/Y') }}</td>
                        <td>
                            {% if affiliation.state == true %}
                                <span class="badge badge-secondary">&nbsp;&nbsp;&nbsp;Vu&nbsp;&nbsp;&nbsp;</span>
                            {% else %}
                                <span class="badge badge-success">Nouveau</span>
                            {% endif %}
                        </td>
                        <td>
                            <a class="btn btn-sm btn-primary" href="{{ path('dashboard_affiliation_show', {id: affiliation.id}) }}">Consulter</a>
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
{% endblock %}
